# RemoteAccess

 Monitors status of Check Point RemoteAccess VPN connections

---
### Check Info

* *service*: this check creates the service *Remote Access* on the Check Point gateway

* *state*:\
    **warning** if a RemoteAccess User with bad encryption (DES, 3DES, CAST, 3IDEA, NULL) is found\
    **warning/critical** if number of remote access users is above configured levels

* *wato*:
    * warning/critical level for number of remote access users
    * number of max. expected remote access users (used as max. for perfdata)

* *perfdata*: (all metrics are *count*)
    * RA users connected
    * RA users active
    * RA users destroy
    * RA users idle
    * RA users phase1
    * RA users down
    * RA users init
    * RA users with bad encryption
    * RA users with office mode
    * RA users with IKE over TCP
    * RA users with UDP encapsulation
    * RA users in visitor mode

---
### Download

* [checkpoint_remoteaccess.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/gateway/checkpoint_remoteaccess/-/raw/master/checkpoint_remoteaccess.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_remoteaccess.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO options

![WATO options](/doc/wato.png?raw=true "WATO options")
